CiscoTelnetAgentConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.discovery.agent.CiscoTelnetAgentConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.agent
Interface CiscoTelnetAgentConfiguration

All Superinterfaces:
  AgentConfiguration, Configuration, ModelObject, java.io.Serializable

    public interface CiscoTelnetAgentConfiguration

extends AgentConfiguration

Configuration for a CiscoTelnetAgent

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`int` | `getCheckTimeout()` The timeout in milliseconds used to determine if telnet is available
`java.lang.String` | `getCommands()` The commands to execute.
`int` | `getExpectTimeout()` The timeout in milliseconds used to determine how long we will wait for a command to respond
`boolean` | `hasCheckTimeout()`
`boolean` | `hasCommands()`
`boolean` | `hasExpectTimeout()`
`void` | `setCheckTimeout(int timeout)`
`void` | `setCommands(java.lang.String commands)`
`void` | `setExpectTimeout(int timeout)`

Methods inherited from interface com.collation.platform.model.discovery.agent.AgentConfiguration
`getAgentClassName, getBidiConfigFlag, getBidiConfigFormat, getBidiProfile, getClassPath, getObjectVersion, getOriginalName, getScopeSetName, getSeedClassName, getTemplateClassName, hasAgentClassName, hasBidiConfigFlag, hasBidiConfigFormat, hasBidiProfile, hasClassPath, hasObjectVersion, hasOriginalName, hasScopeSetName, hasSeedClassName, hasTemplateClassName, setAgentClassName, setBidiConfigFlag, setBidiConfigFormat, setBidiProfile, setClassPath, setObjectVersion, setOriginalName, setScopeSetName, setSeedClassName, setTemplateClassName`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getCheckTimeout

    int getCheckTimeout()
                        throws AttributeNotSetException

  The timeout in milliseconds used to determine if telnet is available

  Returns:
    timeout
  Throws:
    `AttributeNotSetException`

### setCheckTimeout

    void setCheckTimeout(int timeout)

### hasCheckTimeout

    boolean hasCheckTimeout()

### getExpectTimeout

    int getExpectTimeout()
                         throws AttributeNotSetException

  The timeout in milliseconds used to determine how long we will wait for a command to respond

  Returns:
    timeout
  Throws:
    `AttributeNotSetException`

### setExpectTimeout

    void setExpectTimeout(int timeout)

### hasExpectTimeout

    boolean hasExpectTimeout()

### getCommands

    java.lang.String getCommands()
                                 throws AttributeNotSetException

  The commands to execute. This is a multi-line string with one command per line. If not set this defaults to show running-config show startup-config

  Returns:
    list of commands
  Throws:
    `AttributeNotSetException`

### setCommands

    void setCommands(java.lang.String commands)

### hasCommands

    boolean hasCommands()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD